<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haup_add_modified_column( $columns ) {
    $modified_column = array( 'Modified' => __( 'Last Modified Date', 'hima-art-utility' ) );

    // カラムの順序を変更するために、dateカラムのインデックスを取得
    $date_column_index = array_search( 'date', array_keys( $columns ) );

    // dateカラムの右側にModifiedカラムを追加
		//1行目　日付カラムの右で一旦分割
		//2行目　更新日カラムを追加
		//3行目　日付カラムの右（更新日）の右には何もない状態に戻す
		$columns = array_slice( $columns, 0, $date_column_index + 1, true )
			+ $modified_column
			+ array_slice( $columns, $date_column_index + 1, null, true );

	return $columns;
}
add_filter( 'manage_posts_columns', 'haup_add_modified_column' );
add_filter( 'manage_pages_columns', 'haup_add_modified_column' );


function haup_post_modified_column_display( $column_name, $post_id ) {
	switch ( $column_name ) {
	case 'Modified':
		global $post; 
			$mod_date_data = get_the_modified_date();
			echo esc_html($mod_date_data);
		break; // end all case breaks
	}
}
add_action( 'manage_posts_custom_column', 'haup_post_modified_column_display', 5, 2 );
add_action( 'manage_pages_custom_column', 'haup_post_modified_column_display', 5, 2 );



/***** 並び替え可能にする *****/
/* コールバック関数 */
function haup_modified_column_register_sortable( $columns ) {
	$columns['Modified'] = 'modified';
	return $columns;
}

/* 処理 */
function haup_mod_column_sortable_anyposttype(){
//コールバック関数をセット
	$function = 'haup_modified_column_register_sortable';

//投稿や固定ページと同じ機能を持つ投稿タイプを$post_typesへ代入
	$post_types = get_post_types_by_support(array('title', 'editor', 'thumbnail'));

//$post_typeで公開になっていない投稿タイプを除外して$post_keyに代入し直す
	foreach ($post_types as $post_key => $post_type) {
		if (!is_post_type_viewable($post_type)) {
			unset($post_types[$post_type]);
		}
	}

//$post_keyに合致する投稿タイプに対してコールバック関数の列を並び替え可能にする
	foreach ($post_types as $post_key) {
	add_filter( 'manage_edit-' . $post_key . '_sortable_columns', $function );
	}
}
add_action( 'admin_menu' , 'haup_mod_column_sortable_anyposttype' );

/***** 管理画面上のスタイル *****/
function haup_admin_modified_column_style_init(){
$custom_css_pre = hau_sanitize_css("
/* HAUP Mdate Column Width */
.fixed .column-Modified {width:14%;}
");

//タブを除去
$custom_css_deltab = preg_replace('/\t+/', '', $custom_css_pre);
//改行を除去
$custom_css = str_replace(PHP_EOL, '', $custom_css_deltab);
//インラインでCSS出力
	wp_add_inline_style( 'haup-only-admin-style', $custom_css );
}
add_action('admin_enqueue_scripts','haup_admin_modified_column_style_init');